/* ==========================================================================
**
**                   Positioner.h
** PObject<GraphicObject<Interactor<Valuator<Positioner
**
** A Positioner is a virtual class, derrived from class Valuator.
** Positioners are proportional gadgets.
**
**
** 1991 WILLISoft
**
** ==========================================================================
*/

#ifndef POSITIONER_H
#define POSITIONER_H

#include "Valuator.h"



typedef Valuator Positioner;



USHORT KnobSize( 
   #ifdef ANSI_HEADERS
                     Positioner *self 
   #endif
               );
   /*
   ** Returns the size of the knob (range 0..0xFFFF).
   */


USHORT SetKnobSize( 
   #ifdef ANSI_HEADERS
                     Positioner *self, 
                     USHORT knobsize 
   #endif
                  );
   /*
   ** Sets the size of the knob. Returns its size.
   */


#endif


