/* ==========================================================================
**
**                   Valuator.h
**
** PObject<GraphicObject<Interactor<Valuator
**
** A Valuator is a virtual class, derrived from class Interactor.
** Valuators are those interactors which allow the user to input
** (or select via button interaction) a value.
**
** Examples; CycleGadgets, IntegerGadgets, StringGadgets
**
** 1991 WILLISoft
**
** ==========================================================================
*/

#ifndef VALUATOR_H
#define VALUATOR_H

#include "Interactor.h"


typedef Interactor Valuator;


LONG Value( 
   #ifdef ANSI_HEADERS
                  Valuator *self 
   #endif
          );
   /*
   ** Returns the current value
   */


LONG SetValue( 
   #ifdef ANSI_HEADERS
               Valuator *self, 
               LONG selection 
   #endif
             );
   /*
   ** Sets the current value, returns the value.
   */


#endif

