/* ==========================================================================
**
**                         VScrollerClass.h
**
** 1991 WILLISoft
**
** ==========================================================================
*/

#ifndef VSCROLLERCLASS_H
#define VSCROLLERCLASS_H

#include "VScroller.h"
#include "SliderClass.h"

struct PositionerClass *VScrollerClass( void );

void VScroller_SetInteractorWindow( VScroller *self, pcgWindow *window );

void VScroller_CleanUp( VScroller *self );

void VScroller_Render( VScroller *self, RastPort *RPort );

Gadget *VScroller_FirstGadget( VScroller *self );

USHORT VScroller_nGadgets( VScroller *self );

ULONG VScroller_IDCMPFlags( VScroller *self );

USHORT VScroller_ClaimEvent( VScroller *self, IntuiMessage *event );

BOOL VScroller_EnableIactor( VScroller *self, BOOL enable );

USHORT VScroller_Respond( VScroller *self, IntuiMessage *event );

void VScroller_Refresh( VScroller *self );

USHORT VScroller_Value( VScroller *self );

USHORT VScroller_SetValue( VScroller *self, USHORT position );

USHORT VScroller_KnobSize( VScroller *self );

USHORT VScroller_SetKnobSize( VScroller *self, USHORT knobsize );

char *VScroller_Title( VScroller *self );

BOOL VScroller_SetTitle( VScroller *self,
                         char      *title );

AlignInfo VScroller_TextAlignment( VScroller *self );

AlignInfo VScroller_SetTextAlignment( VScroller *self,
                                      UBYTE     Flags,
                                      BYTE      Xpad,
                                      BYTE      Ypad );



#endif